/*
 *	Copyright 2013  Samsung Electronics Co., Ltd
 *
 *	Licensed under the Flora License, Version 1.1 (the "License");
 *	you may not use this file except in compliance with the License.
 *	You may obtain a copy of the License at
 *
 * 		http://floralicense.org/license/
 *
 *	Unless required by applicable law or agreed to in writing, software
 *	distributed under the License is distributed on an "AS IS" BASIS,
 *	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *	See the License for the specific language governing permissions and
 *	limitations under the License.
 */


#ifndef __MGR_APP_STRING_H__
#define __MGR_APP_STRING_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include "mgr-app-uigadget.h"

#define MGRAPP_STR_FAILED dgettext("sys_string", "IDS_COM_POP_FAILED")
#define MGRAPP_STR_SUCCESS dgettext("sys_string", "IDS_COM_POP_SUCCESS")
#define MGRAPP_STR_YES dgettext("sys_string", "IDS_COM_SK_YES")
#define MGRAPP_STR_NO dgettext("sys_string", "IDS_COM_SK_NO")
#define MGRAPP_STR_ERROR dgettext("sys_string", "IDS_COM_POP_ERROR")
#define MGRAPP_STR_ALL dgettext("sys_string", "IDS_COM_BODY_ALL")
#define MGRAPP_STR_VERSION dgettext("sys_string", "IDS_COM_POP_VERSION")

#define MGRAPP_STR_MANAGE_APPLICATIONS dgettext(PACKAGE, "IDS_ST_BODY_MANAGE_APPLICATIONS")
#define MGRAPP_STR_APPLICATION_INFO dgettext(PACKAGE, "IDS_ST_HEADER_APPLICATION_INFO")
#define MGRAPP_STR_UNINSTALLING dgettext(PACKAGE, "IDS_ST_POP_UNINSTALLING_ING")
#define MGRAPP_STR_UNINSTALL dgettext(PACKAGE, "IDS_ST_BUTTON_UNINSTALL")
#define MGRAPP_STR_UNINSTALLED dgettext(PACKAGE, "IDS_ST_POP_UNINSTALLED")
#define MGRAPP_STR_FORCE_STOP dgettext(PACKAGE, "IDS_ST_BUTTON_FORCE_STOP")
#define MGRAPP_STR_BYTES dgettext(PACKAGE, "IDS_ST_BODY_BYTES")
#define MGRAPP_STR_KB dgettext(PACKAGE, "IDS_ST_BODY_KB")
#define MGRAPP_STR_MB dgettext(PACKAGE, "IDS_ST_BODY_MB")
#define MGRAPP_STR_GB dgettext(PACKAGE, "IDS_ST_BODY_GB")
#define MGRAPP_STR_TOTAL dgettext(PACKAGE, "IDS_ST_BODY_TOTAL")
#define MGRAPP_STR_APPLICATION dgettext(PACKAGE, "IDS_ST_BODY_APPLICATION")
#define MGRAPP_STR_DATA dgettext(PACKAGE, "IDS_ST_BODY_DATA")
#define MGRAPP_STR_CLEAR_DEFAULTS dgettext(PACKAGE, "IDS_ST_BODY_CLEAR_DEFAULTS")
#define MGRAPP_STR_MORE_DETAILS dgettext(PACKAGE, "IDS_ST_BODY_MORE_DETAILS")
#define MGRAPP_STR_DEFAULT_DESC dgettext(PACKAGE, "IDS_ST_BODY_YOU_HAVE_SELECTED_TO_LAUNCH_THIS_APPLICATION_BY_DEFAULT_FOR_SOME_ACTIONS")
#define MGRAPP_STR_CLEAR_DATA dgettext(PACKAGE, "IDS_ST_BUTTON_CLEAR_DATA")
#define MGRAPP_STR_STORAGE dgettext(PACKAGE, "IDS_ST_BODY_STORAGE")
#define MGRAPP_STR_LAUNCH_BY_DEFAULT dgettext(PACKAGE, "IDS_ST_BODY_LAUNCH_BY_DEFAULT")
#define MGRAPP_STR_RUNNING dgettext(PACKAGE, "IDS_ST_HEADER_RUNNING")

#ifdef __cplusplus
}
#endif

#endif /*__MGR_APP_STRING_H__*/
