/*
 *	Copyright 2013  Samsung Electronics Co., Ltd
 *
 *	Licensed under the Flora License, Version 1.1 (the "License");
 *	you may not use this file except in compliance with the License.
 *	You may obtain a copy of the License at
 *
 * 		http://floralicense.org/license/
 *
 *	Unless required by applicable law or agreed to in writing, software
 *	distributed under the License is distributed on an "AS IS" BASIS,
 *	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *	See the License for the specific language governing permissions and
 *	limitations under the License.
 */


#ifndef __MGR_APP_COMMON_H__
#define __MGR_APP_COMMON_H__

#include "mgr-app-uigadget.h"

typedef void (*MGR_APP_DOUBLETAP_SENSOR_CB)(void *user_data);

typedef enum {
	DEFAULT_ICON_APP = 0,
	DEFAULT_ICON_SERVICE,
	DEFAULT_ICON_MAX,
} icon_t;

void mgrapp_set_view_type(view_type_t view);
view_type_t mgrapp_get_view_type();

void mgr_app_doubletap_sensor_set_cb(MGR_APP_DOUBLETAP_SENSOR_CB sensor_cb, void *user_data);
void mgr_app_doubletap_sensor_enable();
void mgr_app_doubletap_sensor_disable();
void mgr_app_doubletap_sensor_destroy();
void mgr_app_set_default_icon(char **icon_path, icon_t type);

#endif	/*__MGR_APP_COMMON_H__*/
