/*
 *	Copyright 2013  Samsung Electronics Co., Ltd
 *
 *	Licensed under the Flora License, Version 1.1 (the "License");
 *	you may not use this file except in compliance with the License.
 *	You may obtain a copy of the License at
 *
 * 		http://floralicense.org/license/
 *
 *	Unless required by applicable law or agreed to in writing, software
 *	distributed under the License is distributed on an "AS IS" BASIS,
 *	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *	See the License for the specific language governing permissions and
 *	limitations under the License.
 */


#ifndef __MGR_APP_MAIN_H__
#define __MGR_APP_MAIN_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <stdbool.h>
#include <pkgmgr-info.h>

typedef struct _mgr_app_app_info_t mgr_app_app_info_t;
struct _mgr_app_app_info_t {
	char 	*pkg_name;
	char 	*icon_path;

	char	*pkg_label;
	char 	*pkg_type;
	char 	*pkg_version;
	int 	total_size;
	int		data_size;
	bool	nodisplay;
	bool	removable;
	bool	taskmanage;

	char	*main_appid;
};

void mgrapp_view_list_create(void *data);
void mgrapp_view_list_update(void *data);
void mgrapp_view_info_create(char *pkg_name, void *data);
void mgrapp_view_info_update(void *data);
void mgrapp_view_info_destroy(void *data);
void mgrapp_view_list_update_by_uninstall(const char *pkg_type, const char *pkg_name, void *data);

#ifdef __cplusplus
}
#endif


#endif /*__MGR_APP_MAIN_H__*/
