/*
 *	Copyright 2012  Samsung Electronics Co., Ltd
 *
 *	Licensed under the Flora License, Version 1.1 (the "License");
 *	you may not use this file except in compliance with the License.
 *	You may obtain a copy of the License at
 *
 * 		http://floralicense.org/license/
 *
 *	Unless required by applicable law or agreed to in writing, software
 *	distributed under the License is distributed on an "AS IS" BASIS,
 *	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *	See the License for the specific language governing permissions and
 *	limitations under the License.
 */


#ifndef __MGR_APP_WIDGET_H__
#define __MGR_APP_WIDGET_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#include <Evas.h>
#include <Elementary.h>

Evas_Object *mgr_app_view_create_base_navigation(Evas_Object *parent);
Evas_Object *mgr_app_widget_create_bg(Evas_Object *parent);
Evas_Object *mgr_app_widget_create_main_layout(Evas_Object *parent);
Evas_Object *mgr_app_create_layout(Evas_Object *parent, const char *clas, const char *group, const char *style);
Evas_Object *mgr_app_create_layout_file(Evas_Object *parent, const char *filename, const char *group);
Evas_Object *mgr_app_create_button(Evas_Object *parent, void (*func) (void *data, Evas_Object *obj, void *event_info), const char *label, const char *swallow, const char *style, void *data);
Evas_Object *mgr_app_create_label(Evas_Object *parent, const char *text, const char *swallow, void *data);
void mgrapp_create_popup_text_1button(Evas_Object *parent, char *text, char *btn_text, Evas_Smart_Cb func);
void mgr_app_create_popup_progressbar(Evas_Object *parent, char *text);
void mgrapp_destroy_popup_progressbar();

#ifdef __cplusplus
}
#endif


#endif /*__MGR_APP_WIDGET_H__*/
